Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QML RegExpValidator Element

RegExpValidator instantiates the C++ class QRegExpValidator

- List of all members, including inherited members

## Properties

- regExp : regExp

## Detailed Description

This element provides a validator, which counts as valid any string which matches a specified regular expression.

## Property Documentation

regExp : regExp

This property holds the regular expression used for validation.

Note that this property should be a regular expression in JS syntax, e.g /a/ for the regular expression matching "a".

By default, this property contains a regular expression with the pattern .* that matches any string.